## Result Codes

Result Codes — Gnome Keyring Result Codes

## Functions

const gchar * | gnome_keyring_result_to_message ()

## Types and Values

enum | GnomeKeyringResult
#define | GNOME_KEYRING_RESULT_ALREADY_EXISTS

## Description

All of these APIs are deprecated. Use libsecret instead.

Result codes used through out GNOME Keyring. Additional result codes may be added from time to time and these should be handled gracefully.

## Functions

### gnome_keyring_result_to_message ()

    const gchar *
    gnome_keyring_result_to_message (GnomeKeyringResult res);

`gnome_keyring_result_to_message` is deprecated and should not be used in newly-written code.

libsecret returns errors as GError directly. Use the error message field for a description.

The GNOME_KEYRING_RESULT_OK and GNOME_KEYRING_RESULT_CANCELLED codes will return an empty string.

Note that there are some results for which the application will need to take appropriate action rather than just display an error message to the user.

#### Parameters

res | A GnomeKeyringResult |

#### Returns

a string suitable for display to the user for a given GnomeKeyringResult, or an empty string if the message wouldn't make sense to a user.

## Types and Values

### enum GnomeKeyringResult

`GnomeKeyringResult` is deprecated and should not be used in newly-written code.

Errors are returned from libsecret functions as GError.

Various result codes returned by functions.

#### Members

GNOME_KEYRING_RESULT_OK | The operation completed successfully. |
GNOME_KEYRING_RESULT_DENIED | Either the user or daemon denied access. |
GNOME_KEYRING_RESULT_NO_KEYRING_DAEMON | Keyring daemon is not available. |
GNOME_KEYRING_RESULT_ALREADY_UNLOCKED | Keyring was already unlocked. |
GNOME_KEYRING_RESULT_NO_SUCH_KEYRING | No such keyring exists. |
GNOME_KEYRING_RESULT_BAD_ARGUMENTS | Bad arguments to function. |
GNOME_KEYRING_RESULT_IO_ERROR | Problem communicating with daemon. |
GNOME_KEYRING_RESULT_CANCELLED | Operation was cancelled. |
GNOME_KEYRING_RESULT_KEYRING_ALREADY_EXISTS | The keyring already exists. |
GNOME_KEYRING_RESULT_NO_MATCH | No such match found. |

### GNOME_KEYRING_RESULT_ALREADY_EXISTS

    #define             GNOME_KEYRING_RESULT_ALREADY_EXISTS

`GNOME_KEYRING_RESULT_ALREADY_EXISTS` is deprecated and should not be used in newly-written code.